## org.eclipse.datatools.sqltools.core.dbitem
Interface IDBItem

All Known Subinterfaces:
  IEvent

public interface IDBItem

This interface is used for a database object item. An database object item is externally identified by a `ProcIdentifer`. And always attached to an IControlConnection. It can be used to cache certain meta data.

Author:
  Yang Liu

Method Summary
`void` `dispose()` Disposes this item.
`IControlConnection` `getControlConnection()` Gets the container control connection.
`ProcIdentifier` `getProcIdentifier()` Gets the proc identifier.
`void` `refresh()` Informs this IDBItem to refresh its cached meta data.

Method Detail

### getProcIdentifier

    public ProcIdentifier getProcIdentifier()

  Gets the proc identifier.

### getControlConnection

    public IControlConnection getControlConnection()

  Gets the container control connection.

### refresh

    public void refresh()

  Informs this IDBItem to refresh its cached meta data.

### dispose

    public void dispose()

  Disposes this item. Means the IControlConnection is no longer using it, do NOT mean to delete the underlying database object.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.